> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/master/api/retailers/get-available-stores.md).

# Get Available Stores

## Get Available Stores

<mark style="color:blue;">`GET`</mark> `https://graph.whisk.com/v1/retailers`

Returns list of available stores for a specified location.

#### Path Parameters

| Name     | Type   | Description                                                                                     |
| -------- | ------ | ----------------------------------------------------------------------------------------------- |
| country  | string | Country code in ISO 3166-1 alpha-2 format. E.g. `GB`, `US`, `AU`, etc.                          |
| zipcode  | string | Postal code                                                                                     |
| language | string | Language supported by retailer in ISO 639-1 format. E.g. `en`, `it`, `de`. Default value: `en`. |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "retailers": [
    {
      "id": "9dd9f254f3a3476a9801f7d9e236a0e3",
      "name": "Tesco",
      "displayName": "Tesco",
      "country": "GB",
      "currency": "GBP",
      "logo": {
        "url": "https://res.cloudinary.com/whisk/image/upload/whisk3/supermarket_select_dropdown/tesco-logo.png",
        "width": 134,
        "height": 36
      },
      "urls": {
        "signupUrl": "https://secure.tesco.com/account/en-GB/register",
        "forgotPasswordUrl": "https://secure.tesco.com/account/en-GB/forgotten-password",
        "trolleyUrl": "https://www.tesco.com/groceries/en-GB/slots"
      }
    },
    ...
    {
      "id": "0d01dd723f484801bf0b7c26dc4f7985",
      "name": "AmazonFresh",
      "displayName": "Amazon Fresh",
      "country": "GB",
      "currency": "GBP",
      "logo": {
        "url": "https://whisk-res.cloudinary.com/image/upload/v1515760703/whisk3/supermarket_select_dropdown/amazon-fresh-2.png",
        "width": 174,
        "height": 36
      }
    }
  ]
}
```

{% endtab %}
{% endtabs %}

To get available retailers for `US`or `DE` you need to specify a zip code so we will be able to verify available stores in the specified region.

You can use retailer identifiers for [store transferring API](/master/api/carts/checkout.md) and for [cart API](/master/api/carts.md)

If a country code was not specified, will be returned retailers available around the world.

### Sample Request

```bash
curl "https://graph.whisk.com/v1/retailers?country=GB" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>"
```

## Response

| ATTRIBUTE | TYPE              | DESCRIPTION |
| --------- | ----------------- | ----------- |
| retailers | array \[Retailer] |             |

### Retailer

| ATTRIBUTE   | TYPE           | DESCRIPTION |
| ----------- | -------------- | ----------- |
| id          | string         |             |
| name        | string         |             |
| displayName | string         |             |
| country     | string         |             |
| currency    | string         |             |
| logo        | ImageContainer |             |
| urls        | RetailerUrls   |             |

### Retailer Urls

| ATTRIBUTE         | TYPE   | DESCRIPTION |
| ----------------- | ------ | ----------- |
| signupUrl         | string |             |
| forgotPasswordUrl | string |             |
| trolleyUrl        | string |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/retailers/get-available-stores.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
